package cn.fw.dalaran.common.constants;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/4/13 16:40
 * @Description Dalaran系统常量
 */
public interface Constants {
    /**
     * 系统名
     */
    String APPLICATION_NAME = "fw-dalaran";
    /**
     * 新主题开始, 初始化自媒体账号状态
     */
    String INIT_ACCOUNT_STATUS = "init-account-status";
    /**
     * 账号失效待办编码
     */
    String ACCOUNT_INVALID = "xiOMX9KlMg";
    /**
     * 直播审查待办编码
     */
    String CHECK_LIVE = "TwOTCvzS8v";
    /**
     * 指标配置角色码
     */
    String ZBSZ_ROLE_CODE = "ZMT-ZBSZ";
    /**
     * 账号配置角色码
     */
    String ZHSZ_ROLE_CODE = "MKT-HDCZ";
    /**
     * 直播审计角色码
     */
    String ZBSJ_ROLE_CODE = "ZMT-ZBSJ";

    /**
     * 薪酬绩效相关常量
     */
    interface Performance {
        /**
         * 综合得分目标达成率
         */
        String SCORE_RATE = "6574EA0766114615";
    }
}
