package cn.fw.dalaran.service.data;

import cn.fw.dalaran.domain.db.GlobalConfig;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022-05-07 15:31:40
 * @Description
 */
public interface GlobalConfigService extends IService<GlobalConfig> {
    /**
     * 获取列表
     *
     * @param configGroupId 所属配置组id
     * @return
     */
    List<GlobalConfig> queryList(Long configGroupId);

    /**
     * 更新配置
     *
     * @param globalConfigs 参数封装
     */
    void updateConfig(List<GlobalConfig.GlobalConfigVo> globalConfigs);
}

