package cn.fw.dalaran.common;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/12/29 9:43
 * @Description 配置文件关联
 */
@Data
@ConfigurationProperties(prefix = "url")
public class ConfigProperties {
    /**
     * 图片文件
     */
    private String show;
    /**
     * 删除map缓存
     */
    private String delMapCache;
    /**
     * 重新计算综合得分
     */
    private String reCalcScore;
}
