package cn.fw.dalaran.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author kurisu
 * @date 2021-12-02 16:55
 * @description 通用账号vo
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder(toBuilder = true)
public class CommonAccountVO {
    /**
     * 账号
     */
    private String account;
    /**
     * 回播搜索关键词
     */
    private String playbackSearchKey;
    /**
     * 集团id
     */
    private Long groupId;
}
