package cn.fw.dalaran.service.data;

import cn.fw.dalaran.domain.db.config.ValidConfigNew;
import cn.fw.dalaran.domain.vo.ValidConfigNewVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022-02-15 12:37:25
 * @Description
 */
public interface ValidConfigNewService extends IService<ValidConfigNew> {
    /**
     * 更新配置
     *
     * @param details 新的配置列表参数
     * @return
     */
    boolean updateConfig(List<ValidConfigNewVo.singleVo> details);

    /**
     * 查询集团直播/短视频配置
     *
     * @param configGroupId 所属配置组id
     * @param type          类型id
     * @return
     */
    ValidConfigNewVo queryList(Long configGroupId, Integer type);
}

